"use strict";
/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License", destination); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionButtonElementDropdown = void 0;
const ContextMenu_1 = require("./menu/ContextMenu");
const AbstractElement_1 = require("./AbstractElement");
const selenium_webdriver_1 = require("selenium-webdriver");
class ActionButtonElementDropdown extends AbstractElement_1.AbstractElement {
    async open() {
        await this.click();
        const shadowRootHost = await this.enclosingItem.findElements(ActionButtonElementDropdown.locators.ContextMenu.shadowRootHost);
        const actions = this.getDriver().actions();
        await actions.clear();
        if (shadowRootHost.length > 0) {
            if ((await this.getAttribute('aria-expanded')) !== 'true') {
                await this.click();
            }
            const shadowRoot = await shadowRootHost[0].getShadowRoot();
            return new ContextMenu_1.ContextMenu(await shadowRoot.findElement(selenium_webdriver_1.By.className('monaco-menu-container'))).wait();
        }
        else {
            const workbench = await this.getDriver().findElement(ActionButtonElementDropdown.locators.Workbench.constructor);
            return new ContextMenu_1.ContextMenu(workbench).wait();
        }
    }
}
exports.ActionButtonElementDropdown = ActionButtonElementDropdown;
//# sourceMappingURL=ActionButtonElementDropdown.js.map