"use strict";
/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License", destination); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebView = void 0;
const WebviewMixin_1 = __importDefault(require("../WebviewMixin"));
const Editor_1 = require("./Editor");
const locators_1 = require("../../locators/locators");
/**
 * Page object representing an open editor containing a web view
 */
class WebViewBase extends Editor_1.Editor {
    async getViewToSwitchTo() {
        const frames = await this.getDriver().findElements(WebViewBase.locators.WebView.iframe);
        return (0, locators_1.findBestContainingElement)(await this.getRect(), frames);
    }
}
exports.WebView = (0, WebviewMixin_1.default)(WebViewBase);
//# sourceMappingURL=WebView.js.map