/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License", destination); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { WebElement } from 'selenium-webdriver';
import { ViewContent } from '../../ViewContent';
import { GenericCustomTreeSection } from '../custom/CustomTreeSection';
import { WatchSectionItem } from './WatchSectionItem';
export declare class WatchSection extends GenericCustomTreeSection<WatchSectionItem> {
    constructor(panel: WebElement, viewContent: ViewContent);
    /**
     * Add item to Watch section.
     * @param name
     */
    addItem(name: string): Promise<void>;
    /**
     * Click on 'Refresh' button.
     */
    refresh(): Promise<void>;
    /**
     * Remove all items in Watch seection by using 'Remove All Expression' button.
     */
    removeAllExpressions(): Promise<void>;
    /**
     * Collapse all items in Watch section by using 'Collapse All' button.
     */
    collapseAll(): Promise<void>;
}
